Skip to main content
POST
/
v1
/
connections
Create Connection
curl --request POST \
  --url https://api.trata.ai/v1/connections \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceId": "id_123",
  "sourceProps": "Browser",
  "sourceName": "TWILIO"
}
'
import requests

url = "https://api.trata.ai/v1/connections"

payload = {
"sourceId": "id_123",
"sourceProps": "Browser",
"sourceName": "TWILIO"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sourceId: 'id_123', sourceProps: 'Browser', sourceName: 'TWILIO'})
};

fetch('https://api.trata.ai/v1/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "orgId": "<string>",
  "sourceName": "<string>",
  "sourceId": "<string>",
  "sourceProps": {},
  "agentId": "<string>",
  "prospectId": "<string>",
  "createdBy": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

agentId
string
required
prospect_id
string | null

Body

application/json
sourceId
string
required

Unique identifier for the source

Required string length: 1 - 512
Example:

"id_123"

sourceProps
Sourceprops · object
required

Extra properties of source

Example:

"Browser"

sourceName
enum<string>
default:BROWSER

Name of the source

Available options:
TWILIO,
PLIVO,
BROWSER
Required string length: 1 - 512
Example:

"TWILIO"

Response

Successful Response

This represents the connection between the user and the assistant

id
string
orgId
string
sourceName
string
sourceId
string
sourceProps
Sourceprops · object | null
agentId
string
prospectId
string | null
createdBy
string
createdAt
string<date-time>
updatedBy
string
updatedAt
string<date-time>